# -*- coding: utf-8 -*-
# copyright 2012 LOGILAB S.A. (Paris, FRANCE), all rights reserved.
# contact http://www.logilab.fr -- mailto:contact@logilab.fr
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 2.1 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
# details.
#
# You should have received a copy of the GNU Lesser General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.

DISEASOME_SCHEMA = {'Time': {}, 'CWRelation': {'description': 'String', 'modification_date': 'Datetime', 'composite': 'String', 'description_format': 'String', 'creation_date': 'Datetime', 'ordernum': 'Int', 'cwuri': 'String', 'eid': 'Int', 'cardinality': 'String'}, 'CWSource': {'name': 'String', 'modification_date': 'Datetime', 'cwuri': 'String', 'url': 'String', 'type': 'String', 'parser': 'String', 'in_synchronization': 'TZDatetime', 'creation_date': 'Datetime', 'latest_retrieval': 'TZDatetime', 'eid': 'Int', 'config': 'String'}, 'Bookmark': {'modification_date': 'Datetime', 'title': 'String', 'creation_date': 'Datetime', 'cwuri': 'String', 'eid': 'Int', 'path': 'String'}, 'CWAttribute': {'description': 'String', 'modification_date': 'Datetime', 'internationalizable': 'Boolean', 'fulltextindexed': 'Boolean', 'creation_date': 'Datetime', 'ordernum': 'Int', 'cwuri': 'String', 'eid': 'Int', 'defaultval': 'String', 'indexed': 'Boolean', 'cardinality': 'String', 'description_format': 'String'}, 'CWConstraintType': {'cwuri': 'String', 'eid': 'Int', 'name': 'String', 'modification_date': 'Datetime', 'creation_date': 'Datetime'}, 'RQLExpression': {'modification_date': 'Datetime', 'mainvars': 'String', 'creation_date': 'Datetime', 'cwuri': 'String', 'eid': 'Int', 'expression': 'String', 'exprtype': 'String'}, 'BigInt': {}, 'TZTime': {}, 'BaseTransition': {'name': 'String', 'modification_date': 'Datetime', 'description_format': 'String', 'creation_date': 'Datetime', 'cwuri': 'String', 'eid': 'Int', 'type': 'String', 'description': 'String'}, 'CWEType': {'name': 'String', 'modification_date': 'Datetime', 'description_format': 'String', 'creation_date': 'Datetime', 'cwuri': 'String', 'eid': 'Int', 'final': 'Boolean', 'description': 'String'}, 'String': {}, 'Workflow': {'name': 'String', 'modification_date': 'Datetime', 'description_format': 'String', 'creation_date': 'Datetime', 'cwuri': 'String', 'eid': 'Int', 'description': 'String'}, 'CWGroup': {'cwuri': 'String', 'eid': 'Int', 'name': 'String', 'modification_date': 'Datetime', 'creation_date': 'Datetime'}, 'TrInfo': {'comment': 'String', 'comment_format': 'String', 'modification_date': 'Datetime', 'creation_date': 'Datetime', 'cwuri': 'String', 'eid': 'Int', 'tr_count': 'Int'}, 'CWDataImport': {'status': 'String', 'start_timestamp': 'TZDatetime', 'log': 'String', 'modification_date': 'Datetime', 'creation_date': 'Datetime', 'cwuri': 'String', 'eid': 'Int', 'end_timestamp': 'TZDatetime'}, 'Boolean': {}, 'Date': {}, 'Password': {}, 'CWProperty': {'pkey': 'String', 'modification_date': 'Datetime', 'value': 'String', 'creation_date': 'Datetime', 'cwuri': 'String', 'eid': 'Int'}, 'Interval': {}, 'CWUniqueTogetherConstraint': {'cwuri': 'String', 'eid': 'Int', 'modification_date': 'Datetime', 'creation_date': 'Datetime'}, 'CWUser': {'surname': 'String', 'last_login_time': 'TZDatetime', 'firstname': 'String', 'upassword': 'Password', 'creation_date': 'Datetime', 'cwuri': 'String', 'eid': 'Int', 'login': 'String', 'modification_date': 'Datetime'}, 'Decimal': {}, 'Transition': {'name': 'String', 'modification_date': 'Datetime', 'description_format': 'String', 'creation_date': 'Datetime', 'cwuri': 'String', 'eid': 'Int', 'type': 'String', 'description': 'String'}, 'Bytes': {}, 'Disease': {'name': 'String', 'degree': 'Int', 'modification_date': 'Datetime', 'label': 'String', 'class_degree': 'Int', 'cwuri': 'String', 'eid': 'Int', 'creation_date': 'Datetime', 'size': 'Int'}, 'TZDatetime': {}, 'CWRType': {'name': 'String', 'modification_date': 'Datetime', 'description_format': 'String', 'creation_date': 'Datetime', 'symmetric': 'Boolean', 'cwuri': 'String', 'eid': 'Int', 'fulltext_container': 'String', 'final': 'Boolean', 'inlined': 'Boolean', 'description': 'String'}, 'Gene': {'cwuri': 'String', 'creation_date': 'Datetime', 'eid': 'Int', 'modification_date': 'Datetime', 'label': 'String'}, 'SubWorkflowExitPoint': {'cwuri': 'String', 'eid': 'Int', 'modification_date': 'Datetime', 'creation_date': 'Datetime'}, 'ExternalUri': {'cwuri': 'String', 'eid': 'Int', 'uri': 'String', 'modification_date': 'Datetime', 'creation_date': 'Datetime'}, 'CWCache': {'name': 'String', 'modification_date': 'Datetime', 'timestamp': 'TZDatetime', 'creation_date': 'Datetime', 'cwuri': 'String', 'eid': 'Int'}, 'Int': {}, 'Float': {}, 'WorkflowTransition': {'name': 'String', 'modification_date': 'Datetime', 'description_format': 'String', 'creation_date': 'Datetime', 'cwuri': 'String', 'eid': 'Int', 'type': 'String', 'description': 'String'}, 'State': {'name': 'String', 'modification_date': 'Datetime', 'description_format': 'String', 'creation_date': 'Datetime', 'cwuri': 'String', 'eid': 'Int', 'description': 'String'}, 'Datetime': {}, 'CWSourceHostConfig': {'match_host': 'String', 'modification_date': 'Datetime', 'creation_date': 'Datetime', 'cwuri': 'String', 'eid': 'Int', 'config': 'String'}, 'EmailAddress': {'modification_date': 'Datetime', 'alias': 'String', 'creation_date': 'Datetime', 'cwuri': 'String', 'eid': 'Int', 'address': 'String'}, 'CWConstraint': {'cwuri': 'String', 'eid': 'Int', 'modification_date': 'Datetime', 'value': 'String', 'creation_date': 'Datetime'}, 'CWSourceSchemaConfig': {'cwuri': 'String', 'eid': 'Int', 'options': 'String', 'modification_date': 'Datetime', 'creation_date': 'Datetime'}}
